package com.zg.project.wisdom.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zg.framework.aspectj.lang.annotation.Excel;
import com.zg.framework.web.domain.BaseEntity;

/**
 * 供应计划对象 gys_jh
 * 
 * @author zg
 * @date 2025-05-28
 */
public class GysJh extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 序号 */
    @Excel(name = "序号")
    private Long indexNo;

    /** 县局 */
    @Excel(name = "县局")
    private String xj;

    /** 项目号 */
    @Excel(name = "项目号")
    private String xmNo;

    /** 项目描述 */
    @Excel(name = "项目描述")
    private String xmMs;

    /** 物料号 */
    @Excel(name = "物料号")
    private String wlNo;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String wlMs;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String gysNo;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String gysMc;

    /** 计划交货金额 */
    @Excel(name = "计划交货金额")
    private BigDecimal jhAmt;

    /** 合同单价 */
    @Excel(name = "合同单价")
    private BigDecimal htDj;

    /** SAP订单编号 */
    @Excel(name = "SAP订单编号")
    private String sapNo;

    /** 行号 */
    @Excel(name = "行号")
    private String xh;

    /** 计划交货数量 */
    @Excel(name = "计划交货数量")
    private Long jhQty;

    /** 合同数量 */
    @Excel(name = "合同数量")
    private Long htQty;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String dw;

    /** 0：未到货，1：已入库 */
    @Excel(name = "0：未到货，1：已入库")
    private String status;

    /** 是否删除（0正常 1删除） */
    @Excel(name = "是否删除", readConverterExp = "0=正常,1=删除")
    private String isDelete;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setIndexNo(Long indexNo) 
    {
        this.indexNo = indexNo;
    }

    public Long getIndexNo() 
    {
        return indexNo;
    }

    public void setXj(String xj) 
    {
        this.xj = xj;
    }

    public String getXj() 
    {
        return xj;
    }

    public void setXmNo(String xmNo) 
    {
        this.xmNo = xmNo;
    }

    public String getXmNo() 
    {
        return xmNo;
    }

    public void setXmMs(String xmMs) 
    {
        this.xmMs = xmMs;
    }

    public String getXmMs() 
    {
        return xmMs;
    }

    public void setWlNo(String wlNo) 
    {
        this.wlNo = wlNo;
    }

    public String getWlNo() 
    {
        return wlNo;
    }

    public void setWlMs(String wlMs) 
    {
        this.wlMs = wlMs;
    }

    public String getWlMs() 
    {
        return wlMs;
    }

    public void setGysNo(String gysNo) 
    {
        this.gysNo = gysNo;
    }

    public String getGysNo() 
    {
        return gysNo;
    }

    public void setGysMc(String gysMc) 
    {
        this.gysMc = gysMc;
    }

    public String getGysMc() 
    {
        return gysMc;
    }

    public void setJhAmt(BigDecimal jhAmt) 
    {
        this.jhAmt = jhAmt;
    }

    public BigDecimal getJhAmt() 
    {
        return jhAmt;
    }

    public void setHtDj(BigDecimal htDj) 
    {
        this.htDj = htDj;
    }

    public BigDecimal getHtDj() 
    {
        return htDj;
    }

    public void setSapNo(String sapNo) 
    {
        this.sapNo = sapNo;
    }

    public String getSapNo() 
    {
        return sapNo;
    }

    public void setXh(String xh) 
    {
        this.xh = xh;
    }

    public String getXh() 
    {
        return xh;
    }

    public void setJhQty(Long jhQty) 
    {
        this.jhQty = jhQty;
    }

    public Long getJhQty() 
    {
        return jhQty;
    }

    public void setHtQty(Long htQty) 
    {
        this.htQty = htQty;
    }

    public Long getHtQty() 
    {
        return htQty;
    }

    public void setDw(String dw) 
    {
        this.dw = dw;
    }

    public String getDw() 
    {
        return dw;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("indexNo", getIndexNo())
            .append("xj", getXj())
            .append("xmNo", getXmNo())
            .append("xmMs", getXmMs())
            .append("wlNo", getWlNo())
            .append("wlMs", getWlMs())
            .append("gysNo", getGysNo())
            .append("gysMc", getGysMc())
            .append("jhAmt", getJhAmt())
            .append("htDj", getHtDj())
            .append("sapNo", getSapNo())
            .append("xh", getXh())
            .append("jhQty", getJhQty())
            .append("htQty", getHtQty())
            .append("dw", getDw())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
